## org.apache.mahout.cf.taste.example.kddcup
Class DataFileIterable

    java.lang.Object
      org.apache.mahout.cf.taste.example.kddcup.DataFileIterable

All Implemented Interfaces:
  Iterable<Pair<PreferenceArray,long[]>>

    public final class DataFileIterable

extends Object
implements Iterable<Pair<PreferenceArray,long[]>>

Constructor Summary
`DataFileIterable(File dataFile)`

Method Summary
`Iterator<Pair<PreferenceArray,long[]>>` `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFileIterable

    public DataFileIterable(File dataFile)

Method Detail

### iterator

    public Iterator<Pair<PreferenceArray,long[]>> iterator()

  Specified by:
    `iterator` in interface `Iterable<Pair<PreferenceArray,long[]>>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.